# List download links for a bulk job Retrieves the download links for the files associated with a completed job. These files include success rows, error rows, and logs. Endpoint: GET /bulk-data/bulk-jobs/{id}/downloads Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Path parameters: - `id` (string, required) The unique identifier of the job whose download links are being queried. ## Response 200 fields (application/json): - `jobId` (string) Unique identifier for the job. - `status` (string) Status of the job. Enum: "Created", "Submitted", "In Progress", "Aborting", "Completed", "Failed", "Aborted", "Cancelled", "Downloading" - `sourceFile` (string) Source file URL. - `errorRowsFile` (string) URL for the file containing rows that failed. - `successRowsFile` (string) URL for the file containing successfully processed rows. - `delimiter` (string) Delimiter used in the source file (e.g., comma or pipe). ## Response 404 fields ## Response 500 fields